import { NotebookPanel } from '@jupyterlab/notebook';
import { ICellHeader, Cell } from '@jupyterlab/cells';
import { CommandRegistry } from '@lumino/commands';
/**
 * Extend the default implementation NotebookPanel.ContentFactory of `IContentFactory`.
 */
export declare class ContentFactoryWithSidebar extends NotebookPanel.ContentFactory {
    private readonly sidebarReact;
    private readonly commands;
    private readonly store;
    constructor(sidebarReact: any, commands: CommandRegistry, store: any, options?: Cell.ContentFactory.IOptions | undefined);
    createCellHeader(): ICellHeader;
}
export default ContentFactoryWithSidebar;
