import { NotebookPanel } from '@jupyterlab/notebook';
import { CellSidebar } from './CellSidebar';
// import { IInputPrompt } from '@jupyterlab/cells';
// import { NotebookInputPrompt } from './NotebookInputPrompt';
/**
 * Extend the default implementation NotebookPanel.ContentFactory of `IContentFactory`.
 */
export class ContentFactoryWithSidebar extends NotebookPanel.ContentFactory {
    constructor(sidebarReact, commands, store, options) {
        super(options);
        this.sidebarReact = sidebarReact;
        this.commands = commands;
        this.store = store;
    }
    createCellHeader() {
        return new CellSidebar(this.sidebarReact, this.commands, this.store);
    }
}
export default ContentFactoryWithSidebar;
