import { jsx as _jsx } from "@emotion/react/jsx-runtime";
/**
 * The IPyWidgetsAttached class allows to render a Lumino
 * Widget being mounted in the React.js tree.
 */
const IPyWidgetsAttached = (props) => {
    const { widget } = props;
    return _jsx("div", { ref: ref => {
            if (ref) {
                new widget(ref);
            }
        } }, void 0);
};
export default IPyWidgetsAttached;
