import { jsxs as _jsxs, jsx as _jsx, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
import { useDispatch } from "react-redux";
import { selectInit, initActions } from './InitState';
const Init = () => {
    const init = selectInit();
    const dispatch = useDispatch();
    return (_jsxs(_Fragment, { children: [_jsxs("h2", { children: ["Init value: ", init] }, void 0),
            _jsx("button", Object.assign({ onClick: () => dispatch(initActions.increment.started()) }, { children: "Increment Init (1 second delay)" }), void 0),
            _jsx("button", Object.assign({ onClick: () => dispatch(initActions.decrement.started()) }, { children: "Decrement Init (0.2 second delay)" }), void 0)] }, void 0));
};
export default Init;
