export declare type IInit = number;
export interface IInitState {
    init: IInit;
}
export declare const initInitialState: IInitState;
export declare const selectInit: () => any;
export declare enum ActionType {
    INCREMENT = "init/INCREMENT",
    DECREMENT = "init/DECREMENT"
}
export declare const initActions: {
    increment: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
    decrement: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
};
export declare const initEpics: any;
export declare const initReducer: import("typescript-fsa-reducers").ReducerBuilder<IInitState, IInitState>;
export declare const initReducers: {
    initReducer: import("typescript-fsa-reducers").ReducerBuilder<IInitState, IInitState>;
};
